WordPress.org

Plugin Directory

Never Let Me Go

This plugin allow your user to quit your blog and delete his own account.

Requires: 3.8 or higher
Compatible up to: 4.1.6
Last Updated: 2014-12-22
Active Installs: 700+

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

67,3,2
100,1,1
0,1,0